package tracking;

import java.awt.image.BufferedImage;

public class Atributes {
	
	/**/
	
	private double C[] = {0.0, 0.0};
	private double U[] = {0.0, 0.0};
	private double V[] = {0.0, 0.0};
	
	
	//private boolean flag;        /**/
	private double x;            /**/
	private double y;            /**/
	private int width;           /**/
	private int height;          /**/
	//private int number_of_characters; /**/
	//private double weight;       /**/
	//private int fp;              /**/
	//private int id;              /**/
	//private int birth;              /**/
	private String label;        /**/
	//public BufferedImage image;  /**/
	
	/**/
	
	/*public void set_flag (boolean flag) {
		this.flag = flag;
	}
	
	public boolean get_flag () {
		return flag;
	}*/	
	
	/*public void set_fp (int fp) {
		this.fp = fp;
	}
	
	public int get_fp () {
		return fp;
	}*/
	
	/*public void set_birth (int birth) {
		this.birth = birth;
	}
	
	public int get_birth () {
		return birth;
	}*/	
	
	/*public void set_id (int id) {
		this.id = id;
	}
	
	public int get_id () {
		return id;
	}*/
	

	
	public void set_C (double[] v) {
		assert (v.length == 2);
		this.C[0] = v[0];
		this.C[1] = v[1];
	}
	public void set_C (double x, double y) {
		this.C[0] = x;
		this.C[1] = y;
	}
	public double[] get_C () {
		return this.C;
	}
	
	public void set_U (double[] v) {
		assert (v.length == 2);
		this.U[0] = v[0];
		this.U[1] = v[0];
	}
	public void set_U (double x, double y) {
		this.U[0] = x;
		this.U[1] = y;
	}
	public double[] get_U () {
		return this.U;
	}	
	
	public void set_V (double[] v) {
		assert (v.length == 2);
		this.V[0] = v[0];
		this.V[1] = v[0];
	}
	public void set_V (double x, double y) {
		this.V[0] = x;
		this.V[1] = y;
	}
	public double[] get_V () {
		return this.V;
	}	
	
	/*----------------------------*/
	
	
	public void set_x (double x) {
		this.x = x;
	}
	
	public double get_x () {
		return x;
	}
	
	public void set_y (double y) {
		this.y = y;
	}
	
	public double get_y () {
		return y;
	}
	
	public void set_width (int width) {
		this.width = width;
	}
	
	public int get_width () {
		return width;
	}
	
	public void set_height (int height) {
		this.height = height;
	}
	
	public int get_height () {
		return height;
	}
	
	/*public void set_weight (double hog_weight) {
		this.weight = hog_weight;
	}
	
	public double get_weight () {
		return weight;
	}*/
	
	public void set_label (String label) {
		this.label = label;
	}
	
	public String get_label () {
		return label;
	}
	
	/*public void set_number_of_characters (int number_of_characters) {
		this.number_of_characters = number_of_characters;
	}
	
	public int get_number_of_characters () {
		return number_of_characters;
	}*/
	
}
